libosmogsm 1.13.1.1-afb4 Osmocom GSM library

Data Fields
osmo_cbsp_write_replace Struct Reference

`#include <cbsp.h>`

## Data Fields
uint16_t | msg_id
uint16_t | new_serial_nr
uint16_t * | old_serial_nr
struct osmo_cbsp_cell_list | cell_list
bool | is_cbs
union {
struct {
enum cbsp_channel_ind channel_ind
enum cbsp_category category
uint16_t rep_period
uint16_t num_bcast_req
uint8_t dcs
struct llist_head msg_content
} cbs
struct {
uint8_t indicator
uint16_t warning_type
uint8_t warning_sec_info [50]
uint32_t warning_period
} emergency
} | u

## Field Documentation

## ◆ category

enum cbsp_category osmo_cbsp_write_replace::category

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆

struct { ... } osmo_cbsp_write_replace::cbs

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ cell_list

struct osmo_cbsp_cell_list osmo_cbsp_write_replace::cell_list

Referenced by cbsp_dec_write_repl(), cbsp_enc_write_repl(), and osmo_cbsp_init_struct().

## ◆ channel_ind

enum cbsp_channel_ind osmo_cbsp_write_replace::channel_ind

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ dcs

uint8_t osmo_cbsp_write_replace::dcs

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆

struct { ... } osmo_cbsp_write_replace::emergency

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ indicator

uint8_t osmo_cbsp_write_replace::indicator

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ is_cbs

bool osmo_cbsp_write_replace::is_cbs

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ msg_content

struct llist_head osmo_cbsp_write_replace::msg_content

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ msg_id

uint16_t osmo_cbsp_write_replace::msg_id

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ new_serial_nr

uint16_t osmo_cbsp_write_replace::new_serial_nr

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ num_bcast_req

uint16_t osmo_cbsp_write_replace::num_bcast_req

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ old_serial_nr

uint16_t* osmo_cbsp_write_replace::old_serial_nr

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ rep_period

uint16_t osmo_cbsp_write_replace::rep_period

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆

union { ... } osmo_cbsp_write_replace::u

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ warning_period

uint32_t osmo_cbsp_write_replace::warning_period

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ warning_sec_info

uint8_t osmo_cbsp_write_replace::warning_sec_info[50]

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

## ◆ warning_type

uint16_t osmo_cbsp_write_replace::warning_type

Referenced by cbsp_dec_write_repl(), and cbsp_enc_write_repl().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/cbsp.h